Subject: [shim6] I-D Action:draft-ietf-shim6-multihome-shim-api-14.txt

From: [email-masked]
Date: Thu, 19 Aug 2010 07:30:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Site Multihoming by IPv6 Intermediation Working Group of the IETF.

	Title           : Socket Application Program Interface (API) for Multihoming Shim
	Author(s)       : M. Komu, et al.
	Filename        : draft-ietf-shim6-multihome-shim-api-14.txt
	Pages           : 42
	Date            : 2010-08-19

This document specifies sockets API extensions for the multihoming
shim layer.  The API aims to enable interactions between applications
and the multihoming shim layer for advanced locator management, and
access to information about failure detection and path exploration.

This document is based on an assumption that a multihomed host is
equipped with a conceptual sub-layer (hereafter "shim") inside the IP
layer that maintains mappings between identifiers and locators.
Examples of the shim are SHIM6 and HIP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-shim6-multihome-shim-api-14.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.